adjust Build-Depends to include dh-apparmor

Bug #948481 reported by Jamie Strandboge on 2012-03-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
akonadi (Ubuntu)
Low
Unassigned
clamav (Ubuntu)
Low
Unassigned
digikam (Ubuntu)
Low
Unassigned
lxc (Ubuntu)
Low
Serge Hallyn
mysql-5.1 (Ubuntu)
Low
Unassigned
mysql-5.5 (Ubuntu)
Low
Clint Byrum
openldap (Ubuntu)
Low
Jamie Strandboge
quassel (Ubuntu)
Low
Unassigned
telepathy-mission-control-5 (Ubuntu)
Low
Jamie Strandboge

Bug Description

Now that dh-apparmor is a separate package, packages in 12.04 and later that use dh_apparmor should Build-Depends on dh-apparmor so we can drop the Depends delta in debhelper. I will be adding tasks for all packages that still lack a Build-Depends on dh-apparmor. Note that dh-apparmor now exists in Debian, so any AppArmor deltas can be applied to Debian.

I grepped the archive and came up with the list of packages in this bug. I have taken the liberty of already fixing evince, isc-dhcp, ntp, rsyslog and tcpdump.

description: updated
Changed in akonadi (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in clamav (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in digikam (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in lxc (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in mysql-5.1 (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in mysql-5.5 (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in openldap (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in quassel (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in telepathy-mission-control-5 (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Jamie Strandboge (jdstrand) wrote :

clamav doesn't use dh_apparmor any more. Marking Invalid.

Changed in clamav (Ubuntu):
status: Triaged → Invalid
Changed in mysql-5.5 (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Clint Byrum (clint-fewbar)
Changed in mysql-5.5 (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package akonadi - 1.7.0-0ubuntu2

---------------
akonadi (1.7.0-0ubuntu2) precise; urgency=low

  * Add build-dep on dh-apparmor (LP: #948481)
 -- Philip Muskovac <email address hidden> Thu, 08 Mar 2012 22:22:17 +0100

Changed in akonadi (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quassel - 0.8~rc1-0ubuntu2

---------------
quassel (0.8~rc1-0ubuntu2) precise; urgency=low

  * Build-depend on dh-apparmor. (LP: #948481)
  * Append $CPPFLAGS to $CXXFLAGS.
  * Use pkg-info.mk instead of parsing the upstream version manually.
  * Drop ancient Conflicts and Replaces.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Switch AppArmor profile to enforce mode.
  * Don't pass -DCMAKE_BUILD_TYPE=Debugfull to cmake anymore. We want the
    default build type RelWithDebugInfo.
  * Add an ufw application profile.
  * Use dh_install --sourcedir instead of specifying absolute paths in the
    install files.
 -- Felix Geyer <email address hidden> Sun, 11 Mar 2012 23:00:26 +0100

Changed in quassel (Ubuntu):
status: Triaged → Fix Released
Changed in lxc (Ubuntu):
assignee: nobody → Serge Hallyn (serge-hallyn)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxc - 0.7.5-3ubuntu35

---------------
lxc (0.7.5-3ubuntu35) precise; urgency=low

  [Gary Poster]
  * lxc-start-ephemeral: convert ephemeral approach to change all bound fstab
    mounts; convert binding to also modify fstab
  [Benji York]
  * lxc-start-ephemeral: munge the fstab and comment out a flaky line
  [Serge Hallyn]
  * 0056-dont-watch-utmp: don't watch utmp if kernel supports container
    reboot. (LP: #948623)
  * debian/control: add dh-apparmor to Build-Depends (LP: #948481)
  * lxc-start-ephemeral: add '-d' option to daemonize.
  * debian/lxc.upstart: don't run post-stop if LXC_AUTO=false (LP: #949362)
 -- Serge Hallyn <email address hidden> Mon, 12 Mar 2012 09:51:59 -0500

Changed in lxc (Ubuntu):
status: In Progress → Fix Released
Rohan Garg (rohangarg) on 2012-03-13
Changed in digikam (Ubuntu):
assignee: nobody → Rohan Garg (rohangarg)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package digikam - 4:2.5.0-1ubuntu2

---------------
digikam (4:2.5.0-1ubuntu2) precise; urgency=low

  * Add kubuntu_fix_arm_build.patch to fix building
    with armel & armhf (LP: #945343)
    - Fix FTBFS due to attempt to use GL instead of GLES
      + libqt4-opengl-dev, libgl1-mesa-dev, and libglu1-mesa-dev as build-deps
        only on [i386 amd64 powerpc]
  * Add build-dep on dh-apparmor (LP: #948481)
 -- Rohan Garg <email address hidden> Mon, 05 Mar 2012 17:12:54 +0100

Changed in digikam (Ubuntu):
status: In Progress → Fix Released
Rohan Garg (rohangarg) on 2012-03-16
Changed in digikam (Ubuntu):
assignee: Rohan Garg (rohangarg) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.5 - 5.5.22-0ubuntu1

---------------
mysql-5.5 (5.5.22-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #965523)
  * d/mysql-server-5.5.mysql.upstart: Add respawn limit and code
    to exit ping loop if mysqld needs to be respawned. (LP: #711635)
  * New upstream bugfix release.
  * Refreshed patches
  * d/control: Build-Dep on dh-apparmor (LP: #948481)
  * d/p/fix-mysqldump-test.patch: Fixes unreliable test introduced in
    new upstream version. http://bugs.mysql.com/bug.php?id=64401
  * d/control: Re-add empty meta-package for mysql-testsuite so users
    will get the 5.5 version on upgrade and when installing
    mysql-testsuite. (LP: #959683)
 -- Clint Byrum <email address hidden> Thu, 29 Mar 2012 17:31:30 -0700

Changed in mysql-5.5 (Ubuntu):
status: Fix Committed → Fix Released
Changed in telepathy-mission-control-5 (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package telepathy-mission-control-5 - 1:5.12.0-0ubuntu2

---------------
telepathy-mission-control-5 (1:5.12.0-0ubuntu2) precise; urgency=low

  * debian/control: Build-Depends on dh-apparmor (LP: #948481)
 -- Jamie Strandboge <email address hidden> Thu, 05 Apr 2012 09:22:41 -0500

Changed in telepathy-mission-control-5 (Ubuntu):
status: Fix Committed → Fix Released
Changed in telepathy-mission-control-5 (Ubuntu):
status: In Progress → Fix Committed
Changed in openldap (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openldap - 2.4.28-1.1ubuntu4

---------------
openldap (2.4.28-1.1ubuntu4) precise; urgency=low

  * debian/control: Build-Depends on dh-apparmor (LP: #948481)
 -- Jamie Strandboge <email address hidden> Thu, 05 Apr 2012 09:34:37 -0500

Changed in openldap (Ubuntu):
status: In Progress → Fix Released
Jamie Strandboge (jdstrand) wrote :

Marking mysql-5.1 as "Won't Fix" as per the server team it is supposed to be removed this release.

Changed in mysql-5.1 (Ubuntu):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.